Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var FoodsRepository = RepositoryFactory.factory('/Foods', 'LOCAL');

    FoodsRepository.getFoods = function() {
        return this.download(Query.build());
    };

    FoodsRepository.getFoodById = function(id) {
        return this.findOne(Query.build().where('id').equals(id));
    };

    FoodsRepository.removeFood = function(food) {
        return this.remove(Query.build().where('id').equals(food.id));
    };

    ContextRegister.register('FoodsRepository', FoodsRepository);

});
